Index: trunk/examples/extended/medical/DICOM/src/DicomPrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/medical/DICOM/src/DicomPrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/DICOM/src/DicomPrimaryGeneratorAction.cc	(revision 1337)
@@ -74,5 +74,5 @@
   particleGun->SetParticleEnergy(5.*MeV);
   //put it at SAD = 1 m on xy plane of central slice
-  particleGun->SetParticlePosition(G4ThreeVector(0.,-99.9*cm,-27.));
+  particleGun->SetParticlePosition(G4ThreeVector(0.,-99.9*cm,87.5*mm));
   //particleGun->SetParticlePosition(G4ThreeVector(0.,0.,-22.));
   particleGun->GeneratePrimaryVertex(anEvent);
Index: trunk/examples/extended/medical/DICOM/vis.mac
===================================================================
--- trunk/examples/extended/medical/DICOM/vis.mac	(revision 1230)
+++ trunk/examples/extended/medical/DICOM/vis.mac	(revision 1337)
@@ -1,15 +1,75 @@
-/control/verbose 2
+surface/control/verbose 2
 /run/verbose 2
-#visualisation
-/vis/scene/create
-/vis/open OGLIX
+#
+# Use this open statement to create an OpenGL view:
+#/vis/open OGL 600x600-0+0
+#
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
 #/vis/open DAWNFILE
+#
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
+#
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
 /vis/open VRML2FILE
-/vis/viewer/update
-/vis/viewer/zoom 5
-/tracking/storeTrajectory 1
-/vis/scene/endOfEventAction accumulate
+#
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
+#
+# Draw geometry:
+/vis/drawVolume
+#
+# Specify view angle:
+#/vis/viewer/set/viewpointThetaPhi 90. 0.
+#
+# Specify zoom value:
+/vis/viewer/zoom 5.
+#
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
+/vis/scene/endOfEventAction accumulate 10
+#
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
+#
 /tracking/verbose 1
 /run/beamOn 10
-/vis/viewer/update
 
Index: trunk/examples/extended/medical/GammaTherapy/GNUmakefile
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/GNUmakefile	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/GNUmakefile	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.3 2008/06/11 15:17:57 vnivanch Exp $
+# $Id: GNUmakefile,v 1.4 2010/01/11 16:43:05 gcosmo Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -9,5 +9,5 @@
 
 ifndef G4INSTALL
-  G4INSTALL = ../geant4
+  G4INSTALL = ../../../..
 endif
 
Index: trunk/examples/extended/medical/GammaTherapy/GammaTherapy.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/GammaTherapy.cc	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/GammaTherapy.cc	(revision 1337)
@@ -91,5 +91,5 @@
   if (argc==1)   // Define UI terminal for interactive mode
     {
-      visManager = new G4VisExecutive();
+      visManager = new G4VisExecutive("Quiet");
       visManager->Initialize();
       G4UIsession * session;
Index: trunk/examples/extended/medical/GammaTherapy/GammaTherapy.in
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/GammaTherapy.in	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/GammaTherapy.in	(revision 1337)
@@ -13,6 +13,6 @@
 /testem/phys/addPhysics       emstandard
 #/testem/phys/addPhysics      emstandard_opt2
-#/testem/phys/addPhysics       penelope
-#/testem/phys/addPhysics       livermore
+#/testem/phys/addPhysics       empenelope
+#/testem/phys/addPhysics       emlivermore
 #/testem/phys/addPhysics      step_limit
 #
Index: trunk/examples/extended/medical/GammaTherapy/History
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/History	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.25 2007/07/04 11:14:33 vnivanch Exp $
+$Id: History,v 1.29 2010/06/07 05:40:46 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,17 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+06-06-10 J.Perl (gtherapy-V09-03-01)
+- Remove unused variable in EventAction 
+
+04-06-10 J.Perl (gtherapy-V09-03-00)
+- Updated vis usage 
+
+21-11-09  V.Ivant (gtherapy-V09-02-00)
+- update EM physics according to 9.3
+
+11-06-08  V.Ivant (gtherapy-V09-01-00)
+- Remove AIDA from GNUmakefile
+- Added opt3 variant of EM physics
 
 04-07-07  V.Ivant (gtherapy-V09-00-00)
Index: trunk/examples/extended/medical/GammaTherapy/README
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/README	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/README	(revision 1337)
@@ -42,10 +42,11 @@
 Cu W target).
 
-Following Physics Lists can be activated via UI commands:
+Only Physics Lists from physics_list kernal library can be activated. 
+Corresponding UI commands are following
 
-/testem/phys/addPhysics       standard
-/testem/phys/addPhysics        g4v52
-/testem/phys/addPhysics       penelope
-/testem/phys/addPhysics       lowenergy
+/testem/phys/addPhysics       emstandard
+/testem/phys/addPhysics       emstandard_opt3
+/testem/phys/addPhysics       empenelope
+/testem/phys/addPhysics       emlivermore
 
 For interactive mode G4 visualization options and variables should be
Index: trunk/examples/extended/medical/GammaTherapy/be.in
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/be.in	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/be.in	(revision 1337)
@@ -11,5 +11,5 @@
 /testem/phys/addPhysics       emstandard
 #/testem/phys/addPhysics      emstandard_opt2
-#/testem/phys/addPhysics       livermore
+#/testem/phys/addPhysics       emlivermore
 #/testem/phys/addPhysics       elastic
 #/testem/phys/addPhysics       binary
Index: trunk/examples/extended/medical/GammaTherapy/be_w.in
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/be_w.in	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/be_w.in	(revision 1337)
@@ -13,5 +13,5 @@
 /testem/phys/addPhysics       emstandard
 #/testem/phys/addPhysics      emstandard_opt2
-#/testem/phys/addPhysics       livermore
+#/testem/phys/addPhysics       emlivermore
 #/testem/phys/addPhysics       elastic
 #/testem/phys/addPhysics       binary
@@ -31,5 +31,5 @@
 /gun/energy 50.0 MeV
 #
-/run/initialize
-/run/beamOn 1000000
+#/run/initialize
+#/run/beamOn 1000000
 
Index: trunk/examples/extended/medical/GammaTherapy/cu_w.in
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/cu_w.in	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/cu_w.in	(revision 1337)
@@ -13,5 +13,4 @@
 /testem/phys/addPhysics       emstandard
 #/testem/phys/addPhysics      emstandard_opt2
-#/testem/phys/addPhysics       lowenergy
 #
 /testem/target1Material       G4_W
Index: trunk/examples/extended/medical/GammaTherapy/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/include/EventActionMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.2 2006/06/29 17:25:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterBuilder.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterBuilder.hh	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterBuilder.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StepLimiterBuilder.hh,v 1.2 2006/06/29 17:26:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterMessenger.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StepLimiterMessenger.hh,v 1.2 2006/06/29 17:26:28 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterPerRegion.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterPerRegion.hh	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/include/G4StepLimiterPerRegion.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StepLimiterPerRegion.hh,v 1.4 2007/05/16 16:27:53 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/include/PhysicsList.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsList.hh,v 1.6 2006/11/16 14:42:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Modified:
Index: trunk/examples/extended/medical/GammaTherapy/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/include/PhysicsListMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/include/PhysicsListMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.3 2006/06/29 17:26:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/EventAction.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/EventAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/src/EventAction.cc	(revision 1337)
@@ -41,7 +41,4 @@
 
 #include "G4UImanager.hh"
-#include "G4TrajectoryContainer.hh"
-#include "G4Trajectory.hh"
-#include "G4VVisManager.hh"
 #include "G4ios.hh"
 
@@ -118,26 +115,7 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
-void EventAction::EndOfEventAction(const G4Event* evt)
+void EventAction::EndOfEventAction(const G4Event*)
 {
   (Histo::GetPointer())->SaveEvent();
-  G4VVisManager* pVVisManager = G4VVisManager::GetConcreteInstance();
-
-  if(pVVisManager) {
-    G4TrajectoryContainer* trjc = evt->GetTrajectoryContainer();
-    G4int n_trajectories = 0;
-    if (trjc) n_trajectories = trjc->entries();
-
-    for(G4int i=0; i<n_trajectories; i++) {
-      G4Trajectory* t = (G4Trajectory*)((*(evt->GetTrajectoryContainer()))[i]);
-      if (drawFlag == "all") t->DrawTrajectory(1000);
-      else if ((drawFlag == "charged")&&(t->GetCharge() != 0.))
-                             t->DrawTrajectory(1000);
-      else if ((drawFlag == "neutral")&&(t->GetCharge() == 0.))
-                             t->DrawTrajectory(1000);
-      else if ((drawFlag == "charged+n")&&((t->GetCharge() != 0.)||
-                                           (t->GetCharge()==0.&&t->GetParticleName()=="neutron")))
-                             t->DrawTrajectory(1000);
-   }
-  }
 
   if(verbose > 0) {
Index: trunk/examples/extended/medical/GammaTherapy/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/EventActionMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/src/EventActionMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.2 2006/06/29 17:27:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterBuilder.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterBuilder.cc	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterBuilder.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StepLimiterBuilder.cc,v 1.3 2006/06/29 17:27:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //---------------------------------------------------------------------------
Index: trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterMessenger.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StepLimiterMessenger.cc,v 1.2 2006/06/29 17:27:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterPerRegion.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterPerRegion.cc	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/src/G4StepLimiterPerRegion.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StepLimiterPerRegion.cc,v 1.4 2007/05/16 16:27:53 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/src/PhysicsList.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.16 2008/06/11 15:17:57 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: PhysicsList.cc,v 1.17 2009/11/21 16:47:07 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //---------------------------------------------------------------------------
@@ -46,11 +46,10 @@
 #include "PhysicsListMessenger.hh"
 
-#include "ParticlesBuilder.hh"
 #include "G4EmStandardPhysics.hh"
 #include "G4EmStandardPhysics_option1.hh"
 #include "G4EmStandardPhysics_option2.hh"
 #include "G4EmStandardPhysics_option3.hh"
-#include "PhysListEmLivermore.hh"
-#include "PhysListEmPenelope.hh"
+#include "G4EmLivermorePhysics.hh"
+#include "G4EmPenelopePhysics.hh"
 #include "G4StepLimiterBuilder.hh"
 #include "G4DecayPhysics.hh"
@@ -60,5 +59,4 @@
 #include "G4EmExtraPhysics.hh"
 #include "G4QStoppingPhysics.hh"
-//#include "PhysListEmModelPai.hh"
 
 #include "G4UnitsTable.hh"
@@ -89,5 +87,5 @@
 
   // Add Physics builders
-  RegisterPhysics(new ParticlesBuilder());
+  RegisterPhysics(new G4DecayPhysics());
 }
 
@@ -156,23 +154,12 @@
     G4cout << "PhysicsList::AddPhysicsList <" << name << ">" << G4endl;
 
-  } else if (name == "livermore" && !emBuilderIsRegisted) {
-    RegisterPhysics(new PhysListEmLivermore());
-    emBuilderIsRegisted = true;
-    G4cout << "PhysicsList::AddPhysicsList <" << name << ">" << G4endl;
-
-  } else if (name == "penelope" && !emBuilderIsRegisted) {
-    RegisterPhysics(new PhysListEmPenelope());
-    emBuilderIsRegisted = true;
-    G4cout << "PhysicsList::AddPhysicsList <" << name << ">" << G4endl;
-    /*
-  } else if (name == "pai" && !emBuilderIsRegisted) {
-    RegisterPhysics(new PhysListEmModelPai());
-    emBuilderIsRegisted = true;
-    G4cout << "PhysicsList::AddPhysicsList <" << name << ">" << G4endl;
-    */
-
-  } else if (name == "decay" && !decayIsRegisted && emBuilderIsRegisted) {
-    RegisterPhysics(new G4DecayPhysics());
-    decayIsRegisted = true;
+  } else if (name == "emlivermore" && !emBuilderIsRegisted) {
+    RegisterPhysics(new G4EmLivermorePhysics());
+    emBuilderIsRegisted = true;
+    G4cout << "PhysicsList::AddPhysicsList <" << name << ">" << G4endl;
+
+  } else if (name == "empenelope" && !emBuilderIsRegisted) {
+    RegisterPhysics(new G4EmPenelopePhysics());
+    emBuilderIsRegisted = true;
     G4cout << "PhysicsList::AddPhysicsList <" << name << ">" << G4endl;
 
Index: trunk/examples/extended/medical/GammaTherapy/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/src/PhysicsListMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/src/PhysicsListMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.3 2006/06/29 17:28:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/GammaTherapy/vis.mac
===================================================================
--- trunk/examples/extended/medical/GammaTherapy/vis.mac	(revision 1230)
+++ trunk/examples/extended/medical/GammaTherapy/vis.mac	(revision 1337)
@@ -27,22 +27,70 @@
 /gun/energy 50.0 MeV
 #
-# Create empty scene ("world" is default)
-/vis/scene/create
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-# Create a scene handler for a specific graphics system
-# Edit the next line(s) to choose another graphic system
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
+#/vis/open DAWNFILE
 #
-####/vis/open DAWNFILE
-/vis/open OGLIX
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
 #
-# Draw scene
-/vis/viewer/set/viewpointThetaPhi -90 0 deg
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
+#
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
+#
+# Draw geometry:
+/vis/drawVolume
+#
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi -90. 0.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
-/vis/viewer/flush
 #
-# for drawing the tracks
-# if too many tracks cause core dump => storeTrajectory 0
-/tracking/storeTrajectory 1
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
 #
-/testem/event/drawTracks all
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
Index: trunk/examples/extended/medical/fanoCavity/History
===================================================================
--- trunk/examples/extended/medical/fanoCavity/History	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.19 2007/11/13 11:31:53 maire Exp $
+$Id: History,v 1.36 2010/06/07 05:40:46 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,58 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+06-06-10 J.Perl (fano-V09-03-03)
+- Remove unused variable in EventAction 
+
+04-06-10 J.Perl (fano-V09-03-02)
+- Updated vis usage 
+    
+22-05-10 mma (fano-V09-03-01)
+- fanoCavity.cc : introduction of G4UIExecutive
+     
+19-01-10 mma (fano-V09-03-00)
+- introduce PhysListEmStandard_option2 : UrbanMscModel93 without options
+            PhysListEmStandard_WVI : WentzelVIModel
+- put in run01.mac all physics lists choice	    
+     
+16-11-09 mma (fano-V09-02-03)
+- PhysListEmStandard_option3 : use UrbanMscModel93
+     
+29-10-09 mma (fano-V09-02-02)
+- new PhysListEmStandard_GS for GoudsmitSaundersonMsc model
+       
+25-10-09 mma (fano-V09-02-01)
+- splite PhysicsList in 2, as others TestEm examples.
+- local copy of PhysListEmStandard_option0, PhysListEmStandard_option3,
+  PhysListEmStandard_SS
+- PhysicsList: add cut for proton recoil in case of Single Scattering
+     
+30-01-09 mma (fano-V09-02-00)
+- EndOfRun : error = ratio*std::sqrt(dEoverE*dEoverE + dToverT*dToverT)
+     
+16-11-08 mma (fano-V09-01-06)
+- Em options: 20bins/decade  LinLossLimit=default=0.01
+     
+01-11-08 mma (fano-V09-01-05)
+- PhysicsList : add comments for Em options
+     
+26-10-08 mma (fano-V09-01-04)
+- PhysicsList : modified Em options
+     
+28-09-08 mma (fano-V09-01-03)
+- HistoManager : root format by default
+
+11-06-08 V.Ivant (fano-V09-01-02)
+- Remove AIDA from GNUmakefile
+     
+07-05-08 mma (fano-V09-01-01)
+- README : update Aida informations     
+     
+11-04-08 mma
+- HistoManager::Scale() : suppress warning
+     
+04-04-08 mma(fano-V09-01-00)
+- PhysicsList : replace G4MultipleScattering by new G4eMultipleScattering
+  --> allows to use MscUrbanModel2
      
 12-11-07 mma (fano-V09-00-08) 
Index: trunk/examples/extended/medical/fanoCavity/README
===================================================================
--- trunk/examples/extended/medical/fanoCavity/README	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/README	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: README,v 1.13 2007/11/13 11:31:54 maire Exp $
+$Id: README,v 1.16 2009/10/25 19:06:26 maire Exp $
 -------------------------------------------------------------------
 
@@ -96,5 +96,5 @@
  4- PHYSICS
  
-    The physics list contains the standard electromagnetic processes, with few 
+    The physics lists contains the standard electromagnetic processes, with few 
     modifications listed here.
     
@@ -108,6 +108,6 @@
     - Bremsstrahlung : Fano conditions imply no energy transfer via
     bremsstrahlung radiation. Therefore this process is not registered in the
-    physics list. However, it is always possible to include it via an UI
-    command. See PhysicsListMessenger class.
+    physics list. However, it is always possible to include it.
+    See PhysListEmStandard class.
     
     - Ionisation : In order to have same stopping power in wall and cavity, one
@@ -154,5 +154,5 @@
    
    It is possible to choose the format of the histogram file (hbook, root, XML)
-   with the command /testem/histo/setFileType (hbook by default)
+   with the command /testem/histo/setFileType (root by default)
    
    It is also possible to print selected histograms on an ascii file:
@@ -182,44 +182,4 @@
 
   To use histograms, at least one of the AIDA implementations should be 
-  available (see http://aida.freehep.org).
+  available. See InstallAida.txt
   
- 8a - PI 
-
-  A package including AIDA and extended interfaces also using Python is PI, 
-  available from: http://cern.ch/pi
-
-  Once installed PI or PI-Lite in a specified local area $MYPY, it is required 
-  to add the installation path to $PATH, i.e. for example, for release 1.2.1 of 
-  PI:
-  setenv PATH ${PATH}:$MYPI/1.2.1/app/releases/PI/PI_1_2_1/rh73_gcc32/bin
-
-  CERN users can use the PATH to the LCG area on AFS.
-  Before running the example the command should be issued:
-  eval `aida-config --runtime csh`
-
- 8b -  OpenScientist
-
-  OpenScientist is available at http://OpenScientist.lal.in2p3.fr.
-
-  You have to "setup" the OpenScientist AIDA implementation before compiling
-  (then with G4ANALYSIS_USE set) and running your Geant4 application.
-
- On UNIX you setup, with a csh flavoured shell : 
-	csh> source <<OpenScientist install path>/aida-setup.csh 
-        or with a sh flavoured shell : 
-	sh> . <<OpenScientist install path>/aida-setup.sh
- On Windows : 
-	DOS> call <<OpenScientist install path>/aida-setup.bat 
-
-  You can use various file formats for writing (AIDA-XML, hbook, root).
-  These formats are readable by the Lab onx interactive program
-  or the OpenPAW application. See the web pages.
-
-
-  With OpenPAW, on a run.hbook file, one can view the histograms
-  with something like :
-	OS> opaw 
-        opaw> h/file 1 run.hbook  ( or opaw> h/file 1 run.aida or run.root)  
-	opaw> zone 2 2 
-	opaw> h/plot 1 
-	opaw> h/plot 2
Index: trunk/examples/extended/medical/fanoCavity/fanoCavity.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/fanoCavity.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/fanoCavity.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: fanoCavity.cc,v 1.6 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: fanoCavity.cc,v 1.7 2010/05/22 21:02:48 maire Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -32,6 +32,4 @@
 #include "G4RunManager.hh"
 #include "G4UImanager.hh"
-#include "G4UIterminal.hh"
-#include "G4UItcsh.hh"
 #include "Randomize.hh"
 
@@ -50,4 +48,8 @@
 #ifdef G4VIS_USE
  #include "G4VisExecutive.hh"
+#endif
+
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
 #endif
 
@@ -104,16 +106,13 @@
 #endif    
      
-     G4UIsession * session = 0;
-#ifdef G4UI_USE_TCSH
-      session = new G4UIterminal(new G4UItcsh);      
-#else
-      session = new G4UIterminal();
-#endif     
-     session->SessionStart();
-     delete session;
-     
+#ifdef G4UI_USE
+      G4UIExecutive * ui = new G4UIExecutive(argc,argv);      
+      ui->SessionStart();
+      delete ui;
+#endif
+          
 #ifdef G4VIS_USE
      delete visManager;
-#endif     
+#endif          
     }
 
Index: trunk/examples/extended/medical/fanoCavity/fanoCavity.in
===================================================================
--- trunk/examples/extended/medical/fanoCavity/fanoCavity.in	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/fanoCavity.in	(revision 1337)
@@ -1,6 +1,8 @@
-# $Id: fanoCavity.in,v 1.5 2007/10/29 12:36:26 maire Exp $
+# $Id: fanoCavity.in,v 1.6 2009/10/25 19:06:26 maire Exp $
 #
 /control/verbose 2
 /run/verbose 2
+#
+/testem/phys/addPhysics standard_opt3
 #
 /run/initialize
Index: trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.2 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.2 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
